### Method

# Foundry LlmModel complete

#### Declaration [src]

    DexFuture*
    foundry_llm_model_complete (
      FoundryLlmModel* self,
      const char* const* roles,
      const char* const* messages
    )

#### Description [src]

Requests completion using `roles` and `messages`.

Each element of `roles` corresponds to the element at the same index of `messages`.

The length of `messages` and `roles` must be the same.

#### Parameters

`roles`

  Type: `const char* const*`

  The roles for each message.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`messages`

  Type: `const char* const*`

  The message content.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryLlmCompletion`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.